import request from '@/utils/request'

// 账号-新增-修改
export function adminEdit(data) {
  return request({
    url: '/admin/admin/edit',
    method: 'post',
    data
  })
}
// 账号-单位类型下拉
export function getUnitList() {
  return request({
    url: '/admin/admin/unitList',
    method: 'get',
    params: {}
  })
}
// 账号-可关联账号列表
export function linkList() {
  return request({
    url: '/admin/admin/linkList',
    method: 'get',
    params: {}
  })
}
// 账号-列表分页
export function getPageList(data) {
  return request({
    url: '/admin/admin/getPageList',
    method: 'post',
    data
  })
}
// 账号-下级账号列表
export function belowList() {
  return request({
    url: '/admin/admin/belowList',
    method: 'get',
    params: {}
  })
}
// 账号-获取登录账号详情
export function doGetInfo() {
  return request({
    url: '/admin/admin/doGetInfo',
    method: 'get',
    params: {}
  })
}
// 账号-删除
export function adminDelete(adminId) {
  return request({
    url: '/admin/admin/delete',
    method: 'get',
    params: { adminId }
  })
}
// 账号-修改密码
export function passwordUpdate(data) {
  return request({
    url: '/admin/admin/passwordUpdate',
    method: 'post',
    data
  })
}
// 账号-修改基本信息
export function infoUpdate(data) {
  return request({
    url: '/admin/admin/infoUpdate',
    method: 'post',
    data
  })
}
// 账号审核-分页列表
export function checkPageList(data) {
  return request({
    url: '/admin/admin/checkPageList',
    method: 'post',
    data
  })
}
// 账号审核-审核
export function admincheck(data) {
  return request({
    url: '/admin/admin/check',
    method: 'post',
    data
  })
}
// -----------------部门---------------------
// 部门-新增-修改
export function departmentEdit(data) {
  return request({
    url: '/admin/department/edit',
    method: 'post',
    data
  })
}

// 部门-列表递归展示
export function getRecursionList(data) {
  return request({
    url: '/admin/department/getRecursionList',
    method: 'post',
    data
  })
}

// 部门-列表递归展示 - 授权账号
export function getAuthRecursionList(data) {
  return request({
    url: '/admin/department/auth/getRecursionList',
    method: 'post',
    data
  })
}

// 部门-删除
export function departmentDelete(departmentId) {
  return request({
    url: '/admin/department/delete',
    method: 'get',
    params: { departmentId }
  })
}
// 部门-岗位部门列表递归展示
export function getPostRecursionList(adminId) {
  return request({
    url: '/admin/department/getPostRecursionList',
    method: 'get',
    params: { adminId }
  })
}

// 岗位-新增-修改
export function deptPostEdit(data) {
  return request({
    url: '/admin/deptPost/edit',
    method: 'post',
    data
  })
}

// 岗位-列表分页
export function getRecursionGetPageList(data) {
  return request({
    url: '/admin/deptPost/getPageList',
    method: 'post',
    data
  })
}
// 岗位-删除
export function deptPostDelete(deptPostId) {
  return request({
    url: '/admin/deptPost/delete',
    method: 'get',
    params: { deptPostId }
  })
}
// 岗位-根据部门获取岗位列表
export function postList(deptId) {
  return request({
    url: '/admin/deptPost/postList',
    method: 'get',
    params: { deptId }
  })
}
// 岗位-获取审核记录列表
export function checkList(deptPostId) {
  return request({
    url: '/admin/deptPost/checkList',
    method: 'get',
    params: { deptPostId }
  })
}
// 审核人员申请-整改
export function deptPostUpdate(data) {
  return request({
    url: '/admin/deptPost/update',
    method: 'post',
    data
  })
}
// 审核人员申请-变更
export function deptPostChange(data) {
  return request({
    url: '/admin/deptPost/change',
    method: 'post',
    data
  })
}
// 岗位-批量导入
export function excelInsertDeptPost(data) {
  return request({
    url: '/admin/deptPost/excelInsert',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    data
  })
}

// ---------------通行区域---------------
// 通行区域-新增
export function passAreaEdit(data) {
  return request({
    url: '/admin/passArea/edit',
    method: 'post',
    data
  })
}

// 通行区域-列表分页
export function gpassAreaGetPageList(data) {
  return request({
    url: '/admin/passArea/getPageList',
    method: 'post',
    data
  })
}
// 通行区域-列表
export function passAreaAreaList(passAreaId) {
  return request({
    url: '/admin/passArea/areaList',
    method: 'get',
    params: { passAreaId }
  })
}
// ---------------审核人员申请---------------
// 审核人员申请-新增
export function userCheckApplyInsert(data) {
  return request({
    url: '/admin/userCheckApply/insert',
    method: 'post',
    data
  })
}
// 审核人员申请-列表分页
export function userCheckApplyGetPageList(data) {
  return request({
    url: '/admin/userCheckApply/getPageList',
    method: 'post',
    data
  })
}
// 审核人员申请-整改
export function userCheckApplyUpdate(data) {
  return request({
    url: '/admin/userCheckApply/update',
    method: 'post',
    data
  })
}
// 审核人员-获取审核列表
export function userCheckApplycheckList(userCheckApplyId) {
  return request({
    url: '/admin/userCheckApply/checkList',
    method: 'get',
    params: { userCheckApplyId }
  })
}
// 审核人员-列表分页
export function checkPersonPageList(data) {
  return request({
    url: '/admin/userCheckApply/checkPersonPageList',
    method: 'post',
    data
  })
}
// 审核人员-修改
export function checkUserUpdate(data) {
  return request({
    url: '/admin/userCheckApply/checkUserUpdate',
    method: 'post',
    data
  })
}
// 单位账号导入
export function excelInput(data) {
  return request({
    url: '/admin/admin/excelInput',
    method: 'post',
    data
  })
}
